<?php
use think\Route;
if (rule==1) {
    // 首页
    Route::get('/','index/index/index',[
    	'cache'	=>	[ '/',rule_time,'/']
    ]);
    // 列表
    Route::get(''.dingyi(addons('route','cate'),'cate').'/[:alias]','index/index/cate',[
    	'cache'	=>	[ 'cate/[:alias]/:page',rule_time,'cate']
    ]);
    // 详情
    Route::get(''.dingyi(addons('route','html'),'html').'/[:id]','index/index/html',[
    	'cache'	=>	[ 'html/[:id]',rule_time,'html']
    ]);
    // 搜索
    Route::get(''.dingyi(addons('route','soso'),'soso').'','index/index/soso',[
    	'cache'	=>	[ 'soso/[:ks]/:page',rule_time,'soso']
    ]);
    // 模型列表
    Route::get(''.dingyi(addons('route','c'),'c').'/[:alias]','index/model/cate',[
    	'cache'	=>	[ 'c/[:alias]/:page',rule_time,'cate']
    ]);
    // 模型详情
    Route::get(''.dingyi(addons('route','h'),'h').'/[:model]/[:id]','index/model/html',[
    	'cache'	=>	[ 'h/[:model]/[:id]',rule_time,'h']
    ]);
    // 模型搜索
    Route::get(''.dingyi(addons('route','search'),'search').'','index/model/soso',[
    	'cache'	=>	[ 'search/[:ks]/:page',rule_time,'search']
    ]);
    // 模型首页
    Route::get(''.dingyi(addons('route','m'),'m').'/[:model]','index/model/index',[
    	'cache'	=>	[ 'm/[:model]',rule_time,'m']
    ]);
} else {
    // 首页
    Route::rule('/','index/index/index');
    // 列表
    Route::rule(''.dingyi(addons('route','cate'),'cate').'/[:alias]','index/index/cate');
    // 详情
    Route::rule(''.dingyi(addons('route','html'),'html').'/[:id]','index/index/html');
    // 搜索
    Route::rule(''.dingyi(addons('route','soso'),'soso').'','index/index/soso');
    // 模型列表
    Route::rule(''.dingyi(addons('route','c'),'c').'/[:alias]','index/model/cate');
    // 模型详情
    Route::rule(''.dingyi(addons('route','h'),'h').'/[:model]/[:id]','index/model/html');
    // 模型搜索
    Route::rule(''.dingyi(addons('route','search'),'search').'','index/model/soso');
    // 模型首页
    Route::rule(''.dingyi(addons('route','m'),'m').'/[:model]','index/model/index');
}

Route::rule(''.dingyi(addons('route','dan'),'dan').'/[:alias]','index/index/dan');
Route::rule('s/[:alias]','index/index/dans');
Route::rule('reg','index/user/reg');
Route::rule('login','index/user/login');
Route::rule('forget','index/user/forget');
Route::rule('set/[:id]','index/user/set');
Route::rule('jifen/[:id]','index/user/jifen');
Route::rule('content/[:id]','index/user/content');
Route::rule('add/[:id]','index/user/add');
Route::rule(''.dingyi(addons('route','uid'),'uid').'/[:id]/[:model]','index/user/uid');
Route::rule('FDH456FD4','admin/api/muban_xiazai');
Route::rule('SDG3546S4','admin/api/addons_xiazai');
Route::rule('DFH4D6H4FD5DG4HJD','admin/index/sj');
Route::rule('tpl/[:controller]/[:method]/[:id]','index/addons/muban');